***************************************.
*To Compute Gross Enrollment Rate.
***************************************.


**********************.
*kindergarten level.
**********************.

********.
*Public. 
********.
GET file='c:\ses\43\rec1_2.sav'.
weight by a34.

IF (b04 >= 3 and b04 <= 5)  age1 = 1.
IF (b04 < 3 or b04 > 5)  age1 = 0.

AGGREGATE
   OUTFILE='C:\ses\43\enrlkin1.SAV'
  /BREAK=region quint_e b03
  /pub_kn = SUM(kn_pub).  

AGGREGATE
   OUTFILE='C:\ses\43\enrlkin2.SAV'
  /BREAK=region quint_e b03
  /total = SUM(age1).
  

GET FILE = 'C:\SES\43\enrlkin1.SAV'.

MATCH FILES TABLE='C:\SES\43\enrlkin2.sav'   /FILE=* / BY region quint_e b03


save outfile='C:\ses\43\enrlkin0.sav'.


***************************************.
*kindergarten level. PRIVATE.
***************************************.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.
IF (b04 >= 3 and b04 <= 5)  age1 = 1.
IF (b04 < 3 or b04 > 5)  age1 = 0.

  
AGGREGATE
   OUTFILE='C:\ses\43\enrlkin3.SAV'
  /BREAK=region quint_e b03
  /priv_kn = SUM(kn_priv). 
  

GET FILE = 'C:\SES\43\enrlkin0.SAV'.

MATCH FILES TABLE='C:\SES\43\enrlkin3.sav'   /FILE=* / BY region quint_e b03

COMPUTE  GR_kn_PU = (pub_kn/total)*100.
COMPUTE  GR_kn_PR = (priv_kn/total)*100.
COMPUTE  GR_kn_T = ((pub_kn+priv_kn)/total)*100.

VALUE LABELS b03 1 'Male' 2 'Female'. 
EXECUTE.
save outfile ='C:\ses\43\enrlknT.sav'.

Get file ='C:\ses\43\enrlknT.sav'.



*********.
*REGION.
*********.
*Table Region, sex & quintile.
*Kindergarten.

*1.1 pub_kn/total .

USE ALL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_kn_pu
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_kn_pu+$t) + T0000000 > gr_kn_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).


  

*1.2 pri_kn/total .
USE ALL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_kn_pr
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_kn_pr+$t) + T0000000 > gr_kn_pr)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*1.3 (pub_kn+pri_kn)/total.
USE ALL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_kn_t
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_kn_t+$t) + T0000000 > gr_kn_t)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).


**********.
Province.  
**********.


********************.
*Kindergarten level.  
********************.
*******.
PUBLIC.
*******.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.

IF (b04 >= 3 and b04 <= 5)  age1 = 1.
IF (b04 < 3 or b04 > 5)  age1 = 0.



AGGREGATE
   OUTFILE='C:\ses\43\en_p_kn1.SAV'
  /BREAK=province quint_e  b03
  /pub_kn = SUM(kn_pub).  

AGGREGATE
   OUTFILE='C:\ses\43\en_p_kn2.SAV'
  /BREAK=province quint_e b03
  /total = SUM(age1).
  
*********.
*Private.
*********.
AGGREGATE
   OUTFILE='C:\ses\43\en_p_kn3.SAV'
  /BREAK=province quint_e b03
  /priv_kn = SUM(kn_priv). 


GET FILE = 'C:\SES\43\en_p_kn1.SAV'.

MATCH FILES TABLE='C:\SES\43\en_p_kn2.sav'   /FILE=* / BY province quint_e b03.

save outfile='C:\ses\43\en_p_kn4.sav'.
GET FILE = 'C:\SES\43\en_p_kn4.SAV'.
MATCH FILES TABLE='C:\SES\43\en_p_kn3.sav'   /FILE=* / BY province quint_e b03.



COMPUTE  GR_kn_PU = (pub_kn/total)*100.
COMPUTE  GR_kn_PR = (priv_kn/total)*100.
COMPUTE  GR_kn_T = ((pub_kn+ priv_kn)/total)*100.


VALUE LABELS b03 1 'Male' 2 'Female'. 
EXECUTE.

save outfile='C:\ses\43\en_p_kn.sav'.

Get file ='C:\ses\43\en_p_kn.sav'.
*Table Province, sex & quintile.
*1.4 Kindergarten;Total.

* Basic Tables.
USE ALL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_kn_t
  /TABLES (province + T0000000) > gr_kn_t
  BY (quint_e + T0000000) > (STATISTICS).




*1.5 Kindergarten; Male.
*pub_kn/total .
USE ALL.
COMPUTE filter_$=(b03 = 1).
VARIABLE LABEL filter_$ 'b03 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_kn_pu
  /TABLES (province > (b03 > gr_kn_pu) + T0000000 > gr_kn_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*1.6 Kindergarten; Female.

USE ALL.
COMPUTE filter_$=(b03 = 2).
VARIABLE LABEL filter_$ 'b03 = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f2.0).
FILTER BY filter_$.
EXECUTE .
TEMPORARY.

NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_kn_pu
  /TABLES (province > (b03 > gr_kn_pu) + T0000000 > gr_kn_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

**primary level ******************************************************************************************.
***************.
primary level :
***************.
********.
*Region.
********.
*******.
PUBLIC.
*******.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.

IF (b04 >= 6 and b04 <= 11)  age1 = 1.
IF (b04 < 6 or b04 > 11)  age1 = 0.

AGGREGATE
   OUTFILE='C:\ses\43\enrlpri1.SAV'
  /BREAK=region quint_e b03
  /pub_pri = SUM(pr_pub).  

AGGREGATE
   OUTFILE='C:\ses\43\enrlpri2.SAV'
  /BREAK=region quint_e b03
  /total = SUM(age1).
  

GET FILE = 'C:\SES\43\enrlpri1.SAV'.

MATCH FILES TABLE='C:\SES\43\enrlpri2.sav'   /FILE=* / BY region quint_e b03


save outfile='C:\ses\43\enrlpri0.sav'.

***************************************.
*primary level : PRIVATE.
***************************************.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.
IF (b04 >= 6 and b04 <= 11)  age1 = 1.
IF (b04 < 6 or b04 > 11)  age1 = 0.

  
AGGREGATE
   OUTFILE='C:\ses\43\enrlpri3.SAV'
  /BREAK=region quint_e b03
  /pri_pri = SUM(pr_priv). 
  

GET FILE = 'C:\SES\43\enrlpri0.SAV'.

MATCH FILES TABLE='C:\SES\43\enrlpri3.sav'   /FILE=* / BY region quint_e b03

COMPUTE  GR_PR_PU = (pub_pri/total)*100.
COMPUTE  GR_PR_PR = (pri_pri/total)*100.
COMPUTE  GR_PR_T = ((pub_pri+ pri_pri)/total)*100.

VALUE LABELS b03 1 'Male' 2 'Female'. 
EXECUTE.
save outfile ='C:\ses\43\enrlpriT.sav'.

Get file ='C:\ses\43\enrlpriT.sav'.
*********************************.



******************************.
*Table Region. sex & quintile.
******************************.
*Primary.

*2.1 pub_pri/total .
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_pu
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_pr_pu+$t) + T0000000 > gr_pr_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).


  
*2.2 pri_pri/total .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_pr
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_pr_pr+$t) + T0000000 > gr_pr_pr)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*2.3 (pub_pri+pri_pri)/total.

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_t
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_pr_t+$t) + T0000000 > gr_pr_t)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).


**********.
Province.  
**********.


********************.
*Primary level.  
********************.
*******.
PUBLIC.
*******.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.

IF (b04 >= 6 and b04 <= 11)  age1 = 1.
IF (b04 < 6 or b04 > 11)  age1 = 0.



AGGREGATE
   OUTFILE='C:\ses\43\en_p_pr1.SAV'
  /BREAK=province quint_e  b03
  /pub_pr = SUM(pr_pub).  

AGGREGATE
   OUTFILE='C:\ses\43\en_p_pr2.SAV'
  /BREAK=province quint_e b03
  /total = SUM(age1).
  
*********.
*Private.
*********.
AGGREGATE
   OUTFILE='C:\ses\43\en_p_pr3.SAV'
  /BREAK=province quint_e b03
  /priv_pr = SUM(pr_priv). 


GET FILE = 'C:\SES\43\en_p_pr1.SAV'.

MATCH FILES TABLE='C:\SES\43\en_p_pr2.sav'   /FILE=* / BY province quint_e b03.

save outfile='C:\ses\43\en_p_pr4.sav'.
GET FILE = 'C:\SES\43\en_p_pr4.SAV'.
MATCH FILES TABLE='C:\SES\43\en_p_pr3.sav'   /FILE=* / BY province quint_e b03.



COMPUTE  GR_pr_PU = (pub_pr/total)*100.
COMPUTE  GR_pr_PR = (priv_pr/total)*100.
COMPUTE  GR_pr_T = ((pub_pr+ priv_pr)/total)*100.


VALUE LABELS b03 1 'Male' 2 'Female'. 
EXECUTE.

save outfile='C:\ses\43\en_p_pr.sav'.

Get file ='C:\ses\43\en_p_pr.sav'.
*Table Province, sex & quintile.
*2.4 Kindergarten;Total.

* Basic Tables.
USE ALL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_t
  /TABLES (province + T0000000) > gr_pr_t
  BY (quint_e + T0000000) > (STATISTICS).




*2.5 Kindergarten; Male.
*pub_pr/total .
USE ALL.
COMPUTE filter_$=(b03 = 1).
VARIABLE LABEL filter_$ 'b03 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_pu
  /TABLES (province > (b03 > gr_pr_pu) + T0000000 > gr_pr_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*2.6 Kindergarten; Female.

USE ALL.
COMPUTE filter_$=(b03 = 2).
VARIABLE LABEL filter_$ 'b03 = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f2.0).
FILTER BY filter_$.
EXECUTE .
TEMPORARY.

NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_pu
  /TABLES (province > (b03 > gr_pr_pu) + T0000000 > gr_pr_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*Secondary level ********************************************************************************************.


***************.
Secondary level :
***************.
********.
*Region.
********.
*******.
PUBLIC.
*******.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.

IF (b04 >= 12 and b04 <= 17)  age1 = 1.
IF (b04 < 12 or b04 > 17)  age1 = 0.

AGGREGATE
   OUTFILE='C:\ses\43\enrlsec1.SAV'
  /BREAK=region quint_e b03
  /pub_sec = SUM(sec_pub).  

AGGREGATE
   OUTFILE='C:\ses\43\enrlsec2.SAV'
  /BREAK=region quint_e b03
  /total = SUM(age1).
  

GET FILE = 'C:\SES\43\enrlsec1.SAV'.

MATCH FILES TABLE='C:\SES\43\enrlsec2.sav'   /FILE=* / BY region quint_e b03


save outfile='C:\ses\43\enrlsec0.sav'.

***************************************.
*Secondary level : PRIVATE.
***************************************.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.
IF (b04 >= 5 and b04 <= 11)  age1 = 1.
IF (b04 < 5 or b04 > 11)  age1 = 0.

  
AGGREGATE
   OUTFILE='C:\ses\43\enrlsec3.SAV'
  /BREAK=region quint_e b03
  /priv_sec = SUM(sec_priv). 
  

GET FILE = 'C:\SES\43\enrlsec0.SAV'.

MATCH FILES TABLE='C:\SES\43\enrlsec3.sav'   /FILE=* / BY region quint_e b03

COMPUTE  GR_se_PU = (pub_sec/total)*100.
COMPUTE  GR_se_PR = (priv_sec/total)*100.
COMPUTE  GR_se_T = ((pub_sec+ priv_sec)/total)*100.

VALUE LABELS b03 1 'Male' 2 'Female'. 
EXECUTE.
save outfile ='C:\ses\43\enrlsecT.sav'.

Get file ='C:\ses\43\enrlsecT.sav'.
*********************************.



******************************.
*Table Region. sex & quintile.
******************************.
*Primary.

*3.1 pub_sec/total .
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_se_pu
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_se_pu+$t) + T0000000 > gr_se_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).


  
*3.2 priv_sec/total .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_se_pr
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_se_pr+$t) + T0000000 > gr_se_pr)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*3.3 (pub_sec+priv_sec)/total.

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_se_t
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_se_t+$t) + T0000000 > gr_se_t)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).


**********.
Province.  
**********.


********************.
*Secondary level.  
********************.
*******.
PUBLIC.
*******.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.

IF (b04 >= 12 and b04 <= 17)  age1 = 1.
IF (b04 < 12 or b04 > 17)  age1 = 0.



AGGREGATE
   OUTFILE='C:\ses\43\en_p_se1.SAV'
  /BREAK=province quint_e  b03
  /pub_se = SUM(sec_pub).  

AGGREGATE
   OUTFILE='C:\ses\43\en_p_se2.SAV'
  /BREAK=province quint_e b03
  /total = SUM(age1).
  
*********.
*Private.
*********.
AGGREGATE
   OUTFILE='C:\ses\43\en_p_se3.SAV'
  /BREAK=province quint_e b03
  /priv_se = SUM(sec_priv). 


GET FILE = 'C:\SES\43\en_p_se1.SAV'.

MATCH FILES TABLE='C:\SES\43\en_p_se2.sav'   /FILE=* / BY province quint_e b03.

save outfile='C:\ses\43\en_p_se4.sav'.
GET FILE = 'C:\SES\43\en_p_se4.SAV'.
MATCH FILES TABLE='C:\SES\43\en_p_se3.sav'   /FILE=* / BY province quint_e b03.



COMPUTE  GR_se_PU = (pub_se/total)*100.
COMPUTE  GR_se_PR = (priv_se/total)*100.
COMPUTE  GR_se_T = ((pub_se+ priv_se)/total)*100.


VALUE LABELS b03 1 'Male' 2 'Female'. 
EXECUTE.

save outfile='C:\ses\43\en_p_se.sav'.
***********************************

Get file ='C:\ses\43\en_p_se.sav'.
***************.
*Provice Table. 
***************.
*sex & quintile.

*3.4 ;Total.

* Basic Tables.
USE ALL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_se_t
  /TABLES (province + T0000000) > gr_se_t
  BY (quint_e + T0000000) > (STATISTICS).




*3.5 Secondary; Male.
*pub_se/total .
USE ALL.
COMPUTE filter_$=(b03 = 1).
VARIABLE LABEL filter_$ 'b03 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_se_pu
  /TABLES (province > (b03 > gr_se_pu) + T0000000 > gr_se_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*3.6 secondary; Female.

USE ALL.
COMPUTE filter_$=(b03 = 2).
VARIABLE LABEL filter_$ 'b03 = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f2.0).
FILTER BY filter_$.
EXECUTE .
TEMPORARY.

NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_se_pu
  /TABLES (province > (b03 > gr_se_pu) + T0000000 > gr_se_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*Vocational Level************************************************************************************.


***************.
Vocational level :
***************.
********.
*Region.
********.
*******.
PUBLIC.
*******.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.

IF (b04 >= 15 and b04 <= 17)  age1 = 1.
IF (b04 < 15 or b04 > 17)  age1 = 0.

AGGREGATE
   OUTFILE='C:\ses\43\enrlvoc1.SAV'
  /BREAK=region quint_e b03
  /pub_voc = SUM(voc_pub).  

AGGREGATE
   OUTFILE='C:\ses\43\enrlvoc2.SAV'
  /BREAK=region quint_e b03
  /total = SUM(age1).
  

GET FILE = 'C:\SES\43\enrlvoc1.SAV'.

MATCH FILES TABLE='C:\SES\43\enrlvoc2.sav'   /FILE=* / BY region quint_e b03


save outfile='C:\ses\43\enrlvoc0.sav'.

***************************************.
*Vocational; level : PRIVATE.
***************************************.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.
IF (b04 >= 5 and b04 <= 11)  age1 = 1.
IF (b04 < 5 or b04 > 11)  age1 = 0.

  
AGGREGATE
   OUTFILE='C:\ses\43\enrlvoc3.SAV'
  /BREAK=region quint_e b03
  /priv_voc = SUM(voc_priv). 
  

GET FILE = 'C:\SES\43\enrlvoc0.SAV'.

MATCH FILES TABLE='C:\SES\43\enrlvoc3.sav'   /FILE=* / BY region quint_e b03

COMPUTE  GR_vo_PU = (pub_voc/total)*100.
COMPUTE  GR_vo_PR = (priv_voc/total)*100.
COMPUTE  GR_vo_T = ((pub_voc+ priv_voc)/total)*100.

VALUE LABELS b03 1 'Male' 2 'Female'. 
EXECUTE.
save outfile ='C:\ses\43\enrlvocT.sav'.

Get file ='C:\ses\43\enrlvocT.sav'.
*********************************.



******************************.
*Table Region. sex & quintile.
******************************.


*4.1 pub_voc/total .
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_vo_pu
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_vo_pu+$t) + T0000000 > gr_vo_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).


  
*4.2 priv_voc/total .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_vo_pr
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_vo_pr+$t) + T0000000 > gr_vo_pr)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*4.3 (pub_voc+priv_voc)/total.

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_vo_t
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_vo_t+$t) + T0000000 > gr_vo_t)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).


**********.
Province.  
**********.


********************.
* level.  
********************.
*******.
PUBLIC.
*******.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.

IF (b04 >= 12 and b04 <= 17)  age1 = 1.
IF (b04 < 12 or b04 > 17)  age1 = 0.



AGGREGATE
   OUTFILE='C:\ses\43\en_p_vo1.SAV'
  /BREAK=province quint_e  b03
  /pub_vo = SUM(voc_pub).  

AGGREGATE
   OUTFILE='C:\ses\43\en_p_vo2.SAV'
  /BREAK=province quint_e b03
  /total = SUM(age1).
  
*********.
*Private.
*********.
AGGREGATE
   OUTFILE='C:\ses\43\en_p_vo3.SAV'
  /BREAK=province quint_e b03
  /priv_vo = SUM(voc_priv). 


GET FILE = 'C:\SES\43\en_p_vo1.SAV'.

MATCH FILES TABLE='C:\SES\43\en_p_vo2.sav'   /FILE=* / BY province quint_e b03.

save outfile='C:\ses\43\en_p_vo4.sav'.
GET FILE = 'C:\SES\43\en_p_vo4.SAV'.
MATCH FILES TABLE='C:\SES\43\en_p_vo3.sav'   /FILE=* / BY province quint_e b03.



COMPUTE  GR_vo_PU = (pub_vo/total)*100.
COMPUTE  GR_vo_PR = (priv_vo/total)*100.
COMPUTE  GR_vo_T = ((pub_vo+ priv_vo)/total)*100.


VALUE LABELS b03 1 'Male' 2 'Female'. 
EXECUTE.

save outfile='C:\ses\43\en_p_vo.sav'.
***********************************

Get file ='C:\ses\43\en_p_vo.sav'.
***************.
*Provice Table. 
***************.
*sex & quintile.

*4.4 ;Total.

* Basic Tables.
USE ALL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_vo_t
  /TABLES (province + T0000000) > gr_vo_t
  BY (quint_e + T0000000) > (STATISTICS).




*4.5 Secondary; Male.
*pub_vo/total .
USE ALL.
COMPUTE filter_$=(b03 = 1).
VARIABLE LABEL filter_$ 'b03 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_vo_pu
  /TABLES (province > (b03 > gr_vo_pu) + T0000000 > gr_vo_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*4.6 secondary; Female.

USE ALL.
COMPUTE filter_$=(b03 = 2).
VARIABLE LABEL filter_$ 'b03 = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f2.0).
FILTER BY filter_$.
EXECUTE .
TEMPORARY.

NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_vo_pu
  /TABLES (province > (b03 > gr_vo_pu) + T0000000 > gr_vo_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*Tertiary Level*******************************************************************************.



***************.
Tertiary level :
***************.
********.
*Region.
********.
*******.
PUBLIC.
*******.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.

IF (b04 >= 18 and b04 <= 21)  age1 = 1.
IF (b04 < 18 or b04 > 21)  age1 = 0.

AGGREGATE
   OUTFILE='C:\ses\43\enrlter1.SAV'
  /BREAK=region quint_e b03
  /pub_ter = SUM(ter_pub).  

AGGREGATE
   OUTFILE='C:\ses\43\enrlter2.SAV'
  /BREAK=region quint_e b03
  /total = SUM(age1).
  

GET FILE = 'C:\SES\43\enrlter1.SAV'.

MATCH FILES TABLE='C:\SES\43\enrlter2.sav'   /FILE=* / BY region quint_e b03


save outfile='C:\ses\43\enrlter0.sav'.

***************************************.
*Tertiary; level : PRIVATE.
***************************************.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.
IF (b04 >= 5 and b04 <= 11)  age1 = 1.
IF (b04 < 5 or b04 > 11)  age1 = 0.

  
AGGREGATE
   OUTFILE='C:\ses\43\enrlter3.SAV'
  /BREAK=region quint_e b03
  /priv_ter = SUM(ter_priv). 
  

GET FILE = 'C:\SES\43\enrlter0.SAV'.

MATCH FILES TABLE='C:\SES\43\enrlter3.sav'   /FILE=* / BY region quint_e b03

COMPUTE  GR_tr_PU = (pub_ter/total)*100.
COMPUTE  GR_tr_PR = (priv_ter/total)*100.
COMPUTE  GR_tr_T = ((pub_ter+ priv_ter)/total)*100.

VALUE LABELS b03 1 'Male' 2 'Female'. 
EXECUTE.
save outfile ='C:\ses\43\enrlterT.sav'.

Get file ='C:\ses\43\enrlterT.sav'.
*********************************.



******************************.
*Table Region. sex & quintile.
******************************.


*5.1 pub_ter/total .
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_tr_pu
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_tr_pu+$t) + T0000000 > gr_tr_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).


  
*5.2 priv_ter/total .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_tr_pr
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_tr_pr+$t) + T0000000 > gr_tr_pr)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*5.3 (pub_ter+priv_ter)/total.

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_tr_t
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_tr_t+$t) + T0000000 > gr_tr_t)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).


**********.
Province.  
**********.


********************.
* level.  
********************.
*******.
PUBLIC.
*******.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.

IF (b04 >= 12 and b04 <= 17)  age1 = 1.
IF (b04 < 12 or b04 > 17)  age1 = 0.



AGGREGATE
   OUTFILE='C:\ses\43\en_p_tr1.SAV'
  /BREAK=province quint_e  b03
  /pub_tr = SUM(ter_pub).  

AGGREGATE
   OUTFILE='C:\ses\43\en_p_tr2.SAV'
  /BREAK=province quint_e b03
  /total = SUM(age1).
  
*********.
*Private.
*********.
AGGREGATE
   OUTFILE='C:\ses\43\en_p_tr3.SAV'
  /BREAK=province quint_e b03
  /priv_tr = SUM(ter_priv). 


GET FILE = 'C:\SES\43\en_p_tr1.SAV'.

MATCH FILES TABLE='C:\SES\43\en_p_tr2.sav'   /FILE=* / BY province quint_e b03.

save outfile='C:\ses\43\en_p_tr4.sav'.
GET FILE = 'C:\SES\43\en_p_tr4.SAV'.
MATCH FILES TABLE='C:\SES\43\en_p_tr3.sav'   /FILE=* / BY province quint_e b03.



COMPUTE  GR_tr_PU = (pub_tr/total)*100.
COMPUTE  GR_tr_PR = (priv_tr/total)*100.
COMPUTE  GR_tr_T = ((pub_tr+ priv_tr)/total)*100.


VALUE LABELS b03 1 'Male' 2 'Female'. 
EXECUTE.

save outfile='C:\ses\43\en_p_tr.sav'.
***********************************

Get file ='C:\ses\43\en_p_tr.sav'.
***************.
*Provice Table. 
***************.
*sex & quintile.

*5.4 ;Total.

* Basic Tables.
USE ALL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_tr_t
  /TABLES (province + T0000000) > gr_tr_t
  BY (quint_e + T0000000) > (STATISTICS).




*5.5 Secondary; Male.
*pub_tr/total .
USE ALL.
COMPUTE filter_$=(b03 = 1).
VARIABLE LABEL filter_$ 'b03 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_tr_pu
  /TABLES (province > (b03 > gr_tr_pu) + T0000000 > gr_tr_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*5.6 Tertiary; Female.

USE ALL.
COMPUTE filter_$=(b03 = 2).
VARIABLE LABEL filter_$ 'b03 = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f2.0).
FILTER BY filter_$.
EXECUTE .
TEMPORARY.

NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_tr_pu
  /TABLES (province > (b03 > gr_tr_pu) + T0000000 > gr_tr_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*************************************************************************************















*3. Kindergarten and Primary; Female.


*2 pri_pri/total .


TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_pr
  /TABLES (province > (b03 > gr_pr_pr) + T0000000 > gr_pr_pr)
  BY (q_inc > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*3 (pub_pri+pri_pri)/total.

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_t
  /TABLES (province > (b03 > gr_pr_t) + T0000000 > gr_pr_t)
  BY (q_inc > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).










*************************.
*primary level :Province.  
*************************.
*******.
PUBLIC.
*******.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.

IF (b04 >= 5 and b04 <= 11)  age1 = 1.
IF (b04 < 3 or b04 > 11)  age1 = 0.



AGGREGATE
   OUTFILE='C:\ses\43\en_p_pr1.SAV'
  /BREAK=province quint_e  b03
  /pub_pri = SUM(pr_pub).  

AGGREGATE
   OUTFILE='C:\ses\43\en_p_pr2.SAV'
  /BREAK=province quint_e b03
  /total = SUM(age1).
  

AGGREGATE
   OUTFILE='C:\ses\43\en_p_pr3.SAV'
  /BREAK=province quint_e b03
  /pri_pri = SUM(pr_priv). 


GET FILE = 'C:\SES\43\en_p_pr1.SAV'.

MATCH FILES TABLE='C:\SES\43\en_p_pr2.sav'   /FILE=* / BY province quint_e b03.

save outfile='C:\ses\43\en_p_pr4.sav'.
GET FILE = 'C:\SES\43\en_p_pr4.SAV'.
MATCH FILES TABLE='C:\SES\43\en_p_pr3.sav'   /FILE=* / BY province quint_e b03.



COMPUTE  GR_PR_PU = (pub_pri/total)*100.
COMPUTE  GR_PR_PR = (pri_pri/total)*100.
COMPUTE  GR_PR_T = ((pub_pri+ pri_pri)/total)*100.


VALUE LABELS b03 1 'Male' 2 'Female'. 
EXECUTE.

save outfile='C:\ses\43\en_p_pr.sav'.

Get file ='C:\ses\43\en_p_pr.sav'.

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_pu
  /FTOTAL $t 'Group Total' 
  /TABLES (province > (b03 > gr_pr_pu+$t) + T0000000 > gr_pr_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).


*Table Province, sex & quintile.
*1.1 Kindergarten and Primary; Male.
*pub_pri/total .
USE ALL.
COMPUTE filter_$=(b03 = 1).
VARIABLE LABEL filter_$ 'b03 = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_pu
  /TABLES (province > (b03 > gr_pr_pu) + T0000000 > gr_pr_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*1.2 Kindergarten and Primary; Female.

USE ALL.
COMPUTE filter_$=(b03 = 2).
VARIABLE LABEL filter_$ 'b03 = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f2.0).
FILTER BY filter_$.
EXECUTE .
TEMPORARY.

NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_pu
  /TABLES (province > (b03 > gr_pr_pu) + T0000000 > gr_pr_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).



*1.3 pub_pri/total .

USE ALL.
Execute.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_pu
  /TABLES (province > gr_pr_pu + T0000000 > gr_pr_pu)
  BY (quint_e > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).




*3. Kindergarten and Primary; Female.


*2 pri_pri/total .


TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_pr
  /TABLES (province > (b03 > gr_pr_pr) + T0000000 > gr_pr_pr)
  BY (q_inc > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*3 (pub_pri+pri_pri)/total.

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_t
  /TABLES (province > (b03 > gr_pr_t) + T0000000 > gr_pr_t)
  BY (q_inc > (STATISTICS) +  T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).















***************************************.
*primary level : PRIVATE.
***************************************.

GET file='c:\ses\43\rec1_2.sav'.
weight by a34.
IF (b04 >= 3 and b04 <= 11)  age1 = 1.
IF (b04 < 3 or b04 > 11)  age1 = 0.

  

  

GET FILE = 'C:\SES\43\enrlpri0.SAV'.

MATCH FILES TABLE='C:\SES\43\enrlpri3.sav'   /FILE=* / BY region quint_i b03

save outfile='C:\ses\43\enrlpriT.sav'.


*Table Region, sex & quintile.
*Primary.

*1 pub_pri/total .
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_pu
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_pr_pu+$t) + T0000000 > gr_pr_pu)
  BY (quint_i > (STATISTICS) +  $t  + T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).


  

*2 pri_pri/total .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_pr
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_pr_pr+$t) + T0000000 > gr_pr_pr)
  BY (quint_i > (STATISTICS) +  $t  + T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).

*3 (pub_pri+pri_pri)/total.

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_pr_pr
  /FTOTAL $t 'Group Total' 
  /TABLES (region > (b03 > gr_pr_pr+$t) + T0000000 > gr_pr_pr)
  BY (quint_i > (STATISTICS) +  $t  + T0000000 > (STATISTICS))
  /STATISTICS
  mean( ).




































GET file='c:\ses\43\enrlterT.sav'.
MATCH FILES TABLE='C:\SES\43\enrlpriT.sav'   /FILE=* / BY province region quint_i quint_e b03.
MATCH FILES TABLE='C:\SES\43\enrlsecT.sav'   /FILE=* / BY province region quint_i quint_e b03.
MATCH FILES TABLE='C:\SES\43\enrlterT.sav'   /FILE=* / BY province region quint_i quint_e b03.

EXECUTE.
save outfile='c:\ses\43\enroll_I.sav'.

**********************.

*******
*TABLE
*******


GET file='c:\ses\43\enroll_I.sav'.

*Secondary.

*1 pub_sec/total .
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_se_pu
  /TABLES (region > (b03) + T0000000) > gr_se_pu
  BY (quint_i + T0000000) > (STATISTICS).


*2 pri_sec/total .
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_se_pr
  /TABLES (region > (b03) + T0000000) > gr_se_pr
  BY (quint_i + T0000000) > (STATISTICS).



*3 (pub_sec+pri_sec)/total.

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_se_t
  /TABLES (region > (b03) + T0000000) > gr_se_t
  BY (quint_i + T0000000) > (STATISTICS).



*terational.

*1 pub_ter/total .
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_vo_pu
  /TABLES (region > (b03) + T0000000) > gr_vo_pu
  BY (quint_i + T0000000) > (STATISTICS).


*2 pri_ter/total .
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_vo_pr
  /TABLES (region > (b03) + T0000000) > gr_vo_pr
  BY (quint_i + T0000000) > (STATISTICS).



*3 (pub_ter+pri_ter)/total.

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_vo_t
  /TABLES (region > (b03) + T0000000) > gr_vo_t
  BY (quint_i + T0000000) > (STATISTICS).


*Tertiary.

*1 pub_ter/total .
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_tr_pu
  /TABLES (region > (b03) + T0000000) > gr_tr_pu
  BY (quint_i + T0000000) > (STATISTICS).


*2 pri_ter/total .
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_tr_pr
  /TABLES (region > (b03) + T0000000) > gr_tr_pr
  BY (quint_i + T0000000) > (STATISTICS).



*3 (pub_ter+pri_ter)/total.

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION gr_tr_t
  /TABLES (region > (b03) + T0000000) > gr_tr_t
  BY (quint_i + T0000000) > (STATISTICS).

*************************************************************************************************.
************************.
*the number of students
************************.
GET file='c:\ses\43\rec1_2.sav'.
weight by a34.
DO IF (b06 =1 & B07 =10 ).
COMPUTE  Kin_priv = 1 .
ELSE.
COMPUTE Kin_priv=0.
END IF.

DO IF (b06 =2 & B07 =10).
COMPUTE  Kin_pub = 1 .
ELSE.
COMPUTE Kin_pub=0.
END IF.

DO IF (b06 =1 & 10 < B07 and B07 <=19).
  COMPUTE  pr_priv = 1 .
 ELSE. 
 COMPUTE PR_priv=0.
 END IF.

DO IF (b06 =2 & 10 < B07 and B07 <=19).
  COMPUTE  pr_pub = 1 .
 ELSE. 
 COMPUTE PR_PUB=0.
 END IF.

DO IF (b06 =1 & B07 >=20 & b07<=29).  
COMPUTE  sec_priv = 1 . 
 ELSE.  
COMPUTE sec_Priv=0. 
 END IF.

DO IF (b06 =2 & B07 >=20 & b07<=29).  
COMPUTE  sec_pub = 1 .  
ELSE. 
 COMPUTE sec_Pub=0.  
END IF.

DO IF (b06 =1 & B07 >=31 & b07<=39).  
COMPUTE  ter_priv = 1 . 
 ELSE. 
 COMPUTE ter_Priv=0.  
END IF.

DO IF (b06 =2 & B07 >=31 & b07<=39). 
 COMPUTE  ter_pub = 1 . 
 ELSE. 
 COMPUTE ter_Pub=0. 
 END IF.

DO IF (b06 =1 & B07 >=40 & b07<=90). 
 COMPUTE  voc_priv = 1 . 
 ELSE.  
COMPUTE voc_Priv=0.  
END IF.

DO IF (b06 =2 & B07 >=40 & b07<=90).  
COMPUTE  voc_pub = 1 . 
ELSE. 
COMPUTE voc_Pub=0. 
END IF.

EXECUTE.

ERASE FILE = 'c:\ses\43\file1.sav'. 
ERASE FILE = 'c:\ses\43\file2.sav'. 
ERASE FILE = 'c:\ses\43\file3.sav'. 
ERASE FILE = 'c:\ses\43\file4.sav'. 
ERASE FILE = 'c:\ses\43\file5.sav'. 
ERASE FILE = 'c:\ses\43\file6.sav'. 
ERASE FILE = 'c:\ses\43\file7.sav'. 
ERASE FILE = 'c:\ses\43\file8.sav'. 
ERASE FILE = 'c:\ses\43\file9.sav'.

***************************************************.
*Table the number of students by level of Education.
***************************************************.


* Kindergarten Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION kin_priv
  /FTOTAL $t 'Group Total'
  /TABLES (province > kin_priv +  $t )
  BY (STATISTICS)
  /STATISTICS
  sum( ( COMMA7.0 ) 'Sum_kin_priv').


TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION kin_pub
  /FTOTAL $t 'Group Total'
  /TABLES (province > kin_pub +  $t )
  BY (STATISTICS)
  /STATISTICS
  sum( ( COMMA7.0 ) 'Sum_kin_pub').

*Primary Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr_priv
  /FTOTAL $t 'Group Total'
  /TABLES (province > pr_priv +  $t )
  BY (STATISTICS)
  /STATISTICS
  sum( ( COMMA7.0 ) 'Sum_pr_priv').


TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr_pub
  /FTOTAL $t 'Group Total'
  /TABLES (province > pr_pub +  $t )
  BY (STATISTICS)
  /STATISTICS
  sum( ( COMMA7.0 ) 'Sum_pr_pub').


*Seconary Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION sec_priv
  /FTOTAL $t 'Group Total'
  /TABLES (province > sec_priv +  $t )
  BY (STATISTICS)
  /STATISTICS
  sum( ( COMMA7.0 ) 'Sum_sec_priv').


TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION sec_pub
  /FTOTAL $t 'Group Total'
  /TABLES (province > sec_pub +  $t )
  BY (STATISTICS)
  /STATISTICS
  sum( ( COMMA7.0 ) 'Sum_sec_pub').


*Vocational Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION voc_priv
  /FTOTAL $t 'Group Total'
  /TABLES (province > voc_priv +  $t )
  BY (STATISTICS)
  /STATISTICS
  sum( ( COMMA7.0 ) 'Sum_voc_priv').


TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION voc_pub
  /FTOTAL $t 'Group Total'
  /TABLES (province > voc_pub +  $t )
  BY (STATISTICS)
  /STATISTICS
  sum( ( COMMA7.0 ) 'Sum_voc_pub').


*Tertiary Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ter_priv
  /FTOTAL $t 'Group Total'
  /TABLES (province > ter_priv +  $t )
  BY (STATISTICS)
  /STATISTICS
  sum( ( COMMA7.0 ) 'Sum_ter_priv').


TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ter_pub
  /FTOTAL $t 'Group Total'
  /TABLES (province > ter_pub +  $t )
  BY (STATISTICS)
  /STATISTICS
  sum( ( COMMA7.0 ) 'Sum_ter_pub').





* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pri_pri pub_pri total
  /TABLES province > (b03) > (pri_pri + pub_pri + total)
  BY quint_e > (STATISTICS)
  /STATISTICS
  sum( ( COMMA7.0 )).


