GET FILE='C:\SES\43\educ.SAV'.

weight by a34.

**Unit Cost ;CURRENT Expenditure only.
****************************************************.
** UCOST specification by region - Private sector **.
****************************************************.

IF (b06 = 9) UCOST = 0 .
IF (b06 = 0) UCOST = 0 .
IF (b06 = 1 & b07 >= 10 & b07 <=19) UCOST = 2902.01.
IF (b06 = 1 & B07 >=20 &  B07 <=29) UCOST = 5418.07 .
IF (b06 = 1 & B07>=31 & B07 <=39) UCOST = 0 .
IF (b06 = 1 & B07>=40 & B07 <=90) UCOST = 0 .

***************************************************.
** UCOST specification by region - Public sector **.
***************************************************.

**Bangkok Vicinity**.

IF (region = 1 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 12502.75.
IF (region = 1 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 19519.94 .
IF (region = 1 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 28289.02 .
IF (region = 1 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 23216.84.

**Central**.

IF (region = 2 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 16506.92.
IF (region = 2 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 20672.36.
IF (region = 2 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 22108.77.
IF (region = 2 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 16368.87.

**East**.
IF (region = 3 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 13532.61.
IF (region = 3 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 14800.89.
IF (region = 3 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 25046.26.
IF (region = 3 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 15138.56.

**West**.
IF (region = 4 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 15439.83.
IF (region = 4 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 16129.62.
IF (region = 4 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 22644.47.
IF (region = 4 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 16336.03.

**Northeast**.
IF (region = 5 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 14020.68.
IF (region = 5 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12373.64.
IF (region = 5 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 30651.15.
IF (region = 5 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 15416.43.

**North**.
IF (region = 6 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 15834.78.
IF (region = 6 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 15081.79.
IF (region = 6 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 36645.65.
IF (region = 6 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 16716.53.

**South**.
IF (region = 7 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 14937.73.
IF (region = 7 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 17166.09.
IF (region = 7 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 36969.08.
IF (region = 7 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 16093.79.


VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS region 1 'Bangkok Vicinity' 2 'Central' 3 'East' 4 'West' 
                    5 'Northeast' 6 'North' 7 'South' 99 'Total'.

EXECUTE.


***************************************.
*Tables of Subsidies (weighted).
***************************************.
weight by a34.

RECODE b03 (1=1) (2=2) INTO sex.
VALUE LABELS sex 1 'male' 2 'female'.

COMPUTE ucost = ucost/1000000 .

COMPUTE STUDENT = pr_priv + pr_pub + sec_priv +sec_pub + ter_priv + ter_pub + voc_priv + voc_pub.
COMPUTE PRIM = pr_priv + pr_pub.
COMPUTE SEC = sec_priv + sec_pub.
COMPUTE VOC = voc_priv + voc_pub.
COMPUTE TER =  ter_priv + ter_pub.

EXECUTE.


*1.1 Basic Tables / TOTAL .

USE ALL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.0)).

*1.2 % Col.
USE ALL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  spct( ( PCT5.1 ) 'Col Sum %':QUINT_E ).

*1.3 Total; % row.
USE ALL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  spct( ( PCT5.1 ) 'Row Sum %':region ).





*2.1 Basic Tables**Kingdergarten**.
USE ALL.
COMPUTE filter_$=(B07 =10).
VARIABLE LABEL filter_$ 'B07 =10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.0)).

*2.2 Basic Tables**Kingdergarten** ; row %.
USE ALL.
COMPUTE filter_$=(B07 =10).
VARIABLE LABEL filter_$ 'B07 =10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS spct( ( PCT5.1 ) 'Row Sum %':region ).


*2.3 Basic Tables**Kingdergarten**; % col.
USE ALL.
COMPUTE filter_$=(B07 =10).
VARIABLE LABEL filter_$ 'B07 =10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS spct( ( PCT5.1 ) 'Col Sum %':QUINT_E ).

*3.1 Basic Tables **Primary**; % Col.

USE ALL.
COMPUTE filter_$=(B07>10 and B07 <=19).
VARIABLE LABEL filter_$ 'B07>10 and B07 <=19 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.0)).

*3.2 Basic Tables **Primary**; % row.

USE ALL.
COMPUTE filter_$=(B07>10 and B07 <=19).
VARIABLE LABEL filter_$ 'B07>10 and B07 <=19 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  spct( ( PCT5.1 ) 'row Sum %':region ).

*3.3 Basic Tables **Primary**; % Col.

USE ALL.
COMPUTE filter_$=(B07>10 and B07 <=19).
VARIABLE LABEL filter_$ 'B07>10 and B07 <=19 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  spct( ( PCT5.1 ) 'Col Sum %':QUINT_E ).


*4.1Basic Tables **Lower Secondary*; % col. 

USE ALL.
COMPUTE filter_$=(B07 >=20 & b07<=23).  
VARIABLE LABEL filter_$ 'B07>20 and B07 <=23(FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.0)).

*4.2Basic Tables **Lower Secondary*; % row. 

USE ALL.
COMPUTE filter_$=(B07 >=20 & b07<=23).  
VARIABLE LABEL filter_$ 'B07>20 and B07 <=23(FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  spct( ( PCT5.1 ) 'Row Sum %':region ).


*4.3 Basic Tables **Lower Secondary*; % col. 

USE ALL.
COMPUTE filter_$=(B07 >=20 & b07<=23).  
VARIABLE LABEL filter_$ 'B07>20 and B07 <=23(FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  spct( ( PCT5.1 ) 'Col Sum %':QUINT_E ).



*5.1 Basic Tables**Upper Secondary*; % Col.

USE ALL.
COMPUTE filter_$=(B07 >=24& b07<=29).  
VARIABLE LABEL filter_$ 'B07 >=24& b07<=29 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.0)).

*5.2 Basic Tables**Upper Secondary*; % Row.

USE ALL.
COMPUTE filter_$=(B07 >=24& b07<=29).  
VARIABLE LABEL filter_$ 'B07 >=24& b07<=29 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  spct( ( PCT5.1 ) 'row sum %':region).


*5.3 Basic Tables**Upper Secondary*; % Col.

USE ALL.
COMPUTE filter_$=(B07 >=24& b07<=29).  
VARIABLE LABEL filter_$ 'B07 >=24& b07<=29 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  spct( ( PCT5.1 ) 'Col Sum %':QUINT_E ).


*6.1Basic Tables **Secondary*; % col.
USE ALL.
COMPUTE filter_$=(B07 >=20& b07<=29).  
VARIABLE LABEL filter_$ '(B07>=20 & BO7 <=29 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.0)).

*6.2 Basic Tables **Secondary*; % Row.

USE ALL.
COMPUTE filter_$=(B07 >=20& b07<=29).  
VARIABLE LABEL filter_$ '(B07>=20 & BO7 <=29 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  spct( ( PCT5.1 ) 'Row %':region).

*6.3 Basic Tables **Secondary*; % col.
USE ALL.
COMPUTE filter_$=(B07 >=20& b07<=29).  
VARIABLE LABEL filter_$ '(B07>=20 & BO7 <=29 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  spct( ( PCT5.1 ) 'Col Sum %':QUINT_E ).



*7.1*Tables**Vocational* ; % col.

USE ALL.
COMPUTE filter_$=(B07 >=40 & b07<=99).  
VARIABLE LABEL filter_$ 'B07>=40 & B07<=99 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.0)).

*7.2*Tables**Vocational* ; % row.

USE ALL.
COMPUTE filter_$=(B07 >=40 & b07<=99).  
VARIABLE LABEL filter_$ 'B07>=40 & B07<=99 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  spct( ( PCT5.1 ) 'row Sum %':region ).

*7.3*Tables**Vocational* ; % col.

USE ALL.
COMPUTE filter_$=(B07 >=40 & b07<=99).  
VARIABLE LABEL filter_$ 'B07>=40 & B07<=99 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  spct( ( PCT5.1 ) 'Col Sum %':QUINT_E ).

*8.1*Table **Tertiary*;% col.

USE ALL.
COMPUTE filter_$=(B07 >=31 & b07<=39).  
VARIABLE LABEL filter_$ 'B07>=31 & BO7 <=39(FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.0)).

*8.2*Table **Tertiary*;% Row.

USE ALL.
COMPUTE filter_$=(B07 >=31 & b07<=39).  
VARIABLE LABEL filter_$ 'B07>=31 & BO7 <=39(FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS spct( ( PCT5.1 ) 'Row Sum %':region).

*8.3*Table **Tertiary*;% col.

USE ALL.
COMPUTE filter_$=(B07 >=31 & b07<=39).  
VARIABLE LABEL filter_$ 'B07>=31 & BO7 <=39(FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  spct( ( PCT5.1 ) 'Col Sum %':quint_e ).








                    ****************
                    *NOT UPDATE NOW
                    ****************
************************************************************************************************
GET FILE='C:\SES\43\educ.SAV'.

weight by a34.

**Combined Current & Capital Expenditure.
****************************************************.
** UCOST specification by region - Private sector **.
****************************************************.

IF (b06 = 9) UCOST = 0 .
IF (b06 = 0) UCOST = 0 .
IF (b06 = 1 & b07 >= 10 & b07 <=19) UCOST = 3393.44.
IF (b06 = 1 & B07 >=20 &  B07 <=29) UCOST = 5377.58 .
IF (b06 = 1 & B07>=31 & B07 <=39) UCOST = 0 .
IF (b06 = 1 & B07>=40 & B07 <=90) UCOST = 0 .

***************************************************.
** UCOST specification by region - Public sector **.
***************************************************.

**Bangkok Vicinity**.

IF (region = 1 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 15042.38.
IF (region = 1 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 18864.24 .
IF (region = 1 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 69125.38 .
IF (region = 1 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 45976.0 .

**Central**.

IF (region = 2 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 19133.48.
IF (region = 2 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 14133.78.
IF (region = 2 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 24562.97.
IF (region = 2 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 23979.36.

**East**.
IF (region = 3 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 15118.21.
IF (region = 3 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12989.22.
IF (region = 3 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 34193.82.
IF (region = 3 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 20208.58.

**West**.
IF (region = 4 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 15682.45.
IF (region = 4 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12485.15.
IF (region = 4 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 33119.78.
IF (region = 4 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 22558.09.

**Northeast**.
IF (region = 5 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 12254.84.
IF (region = 5 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 8498.52.
IF (region = 5 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 65222.99.
IF (region = 5 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 28331.90.

**North**.
IF (region = 6 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 15118.29.
IF (region = 6 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 11003.95.
IF (region = 6 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 76733.07.
IF (region = 6 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 23986.99.

**South**.
IF (region = 7 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 12920.52.
IF (region = 7 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12189.68.
IF (region = 7 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 65708.38.
IF (region = 7 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 20607.96.



VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS region 1 'Bangkok Vicinity' 2 'Central' 3 'East' 4 'West' 
                    5 'Northeast' 6 'North' 7 'South' 99 'Total'.

EXECUTE.


***************************************
*Tables of Subsidies (weighted).
***************************************
weight by a34.

RECODE b03 (1=1) (2=2) INTO sex.
VALUE LABELS sex 1 'male' 2 'female'.

COMPUTE ucost = ucost/1000000 .

COMPUTE STUDENT = pr_priv + pr_pub + sec_priv +sec_pub + ter_priv + ter_pub + voc_priv + voc_pub.
COMPUTE PRIM = pr_priv + pr_pub.
COMPUTE SEC = sec_priv + sec_pub.
COMPUTE VOC = voc_priv + voc_pub.
COMPUTE TER =  ter_priv + ter_pub.

EXECUTE.


*1. Basic Tables / TOTAL.
USE ALL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (quint_e + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.2)).

*2. Basic Tables.
**Kingdergarten**.


USE ALL.
COMPUTE filter_$=(B07 =10).
VARIABLE LABEL filter_$ 'B07 =10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.2)).


*3. Basic Tables.
**Primary**.

USE ALL.
COMPUTE filter_$=(B07>10 and B07 <=19).
VARIABLE LABEL filter_$ 'B07>10 and B07 <=19 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.2)).


*4.Basic Tables.
**Lower Secondary*.

USE ALL.
COMPUTE filter_$=(B07 >=20 & b07<=23).  
VARIABLE LABEL filter_$ 'B07>20 and B07 <=23(FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.2)).




*5.Basic Tables.
**Upper Secondary*.

USE ALL.
COMPUTE filter_$=(B07 >=24& b07<=29).  
VARIABLE LABEL filter_$ 'B07 >=24& b07<=29 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.2)).



*6. Basic Tables.
**Secondary*.

USE ALL.
COMPUTE filter_$=(B07 >=20& b07<=29).  
VARIABLE LABEL filter_$ '(B07>=20 & BO7 <=29 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.2)).



*7. Basic Tables.
**Vocational*.

USE ALL.
COMPUTE filter_$=(B07 >=40 & b07<=99).  
VARIABLE LABEL filter_$ 'B07>=40 & B07<=99 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.2)).


*8. Basic Tables.
**Tertiary*.

USE ALL.
COMPUTE filter_$=(B07 >=31 & b07<=39).  
VARIABLE LABEL filter_$ 'B07>=31 & BO7 <=39(FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.2)).

























USE ALL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost
  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS
  sum( ).


* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost
  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS
  sum( ).

USE ALL.
COMPUTE filter_$=(prim=1).
VARIABLE LABEL filter_$ 'prim=1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost
  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS
  sum( ).
USE ALL.
COMPUTE filter_$=(B07=10).
VARIABLE LABEL filter_$ 'B07=10 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
FILTER OFF.



USE ALL.
EXECUTE .

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS   sum( )
  spct( ( PCT5.1 ) 'Col Sum %':QUINT_E )
  spct( ( PCT5.1 ) 'Row Sum %':region ).

*1. Basic Tables / TOTAL.
USE ALL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region + T0000000) > ucost  BY (QUINT_E + T0000000) > (STATISTICS)
  /STATISTICS  sum((COMMA7.2)).v